% To format bode plots with default preferences from the command line
% 
% Frequency units are changed from rad/s to Hz.
% All fontsizes are increased to 20.
% The line widths are increased to 3.
% The grid is turned on.
% The figure is maximized if line 20 is uncommented. The command to
% maximize the figure is another function that depends on the computer's
% resolution, so it must be customized to the individual computer.
%
% Brett Shapiro
% 4 November 2009

% Change units to Hz
h = gcr;
h.AxesGrid.XUnits = 'Hz';

% View grid
grid on

% Maximize the figure
% maxfig

% Change the line widths
set(findobj(gcf,'type','line'),'linewidth',3);

% Change the font size
textsize = 20;
h.AxesGrid.AxesStyle.FontSize = textsize; % units
h.AxesGrid.TitleStyle.FontSize = textsize; % title
h.AxesGrid.XLabelStyle.FontSize = textsize; % x label
h.AxesGrid.YLabelStyle.FontSize = textsize; % x label

% Clearing the figure handle from the workspace
clear h